Download it now!
Bug 103071 - Thesaurus (synonyms function) derivative word issues
Summary: Thesaurus (synonyms function) derivative word issues
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Thesaurus
  Show dependency treegraph
 
Reported: 2016-10-09 19:38 UTC by Tiago Santos
Modified: 2018-01-29 10:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tiago Santos 2016-10-09 19:38:42 UTC
Description:
Thesaurus (synonyms function) recognizes word variations but it does not apply them

Steps to Reproduce:
1. For easier testing, select in English (USA) language;
2. type the word "tags";
3. Right click→Synonyms.

Actual Results:  
Actual result:
- Show only synonyms: “label”, “rag”, “shred” and others...
- Derivative words (plurals, feminines, derivative verb forms, etc) are recognized using the affixing rules from en_US.aff. After selecting the relevant synonym the same affixing rule should be applied, if available for the target word. This is specially important for prefixes such as in-, un-, dis-.

Expected Results:
Expected result:
- Show only synonyms: “labels”, “rags”, “shreds” and others...


Reproducible: Always

User Profile Reset: Yes

Additional Info:

This bug applies to every derived word and affix rule I have tested. This bug affects all languages. Thesaurus can be constructed around this issue, but that solution would produce thesaurus files with inviable sizes. 

Possible solution:
This might be solved in an easier way.
Recognize the affix used and store it in memory. After selecting the relevant word, try to apply the same affixing rule with hunspell. 
That way, the replaced word correspond in form to the selected word.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.116 Safari/537.36 OPR/40.0.2308.81
Comment 1 Xisco Faulí 2017-06-08 08:47:25 UTC Comment hidden (obsolete)
Comment 2 Tiago Santos 2017-06-08 15:47:44 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2018-01-02 10:14:11 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2018-01-29 10:35:11 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180129